### Hierarchy

- Vector3D

## Index

### Constructors

- constructor

### Properties

- length
- lengthSquared
- w
- x
- y
- z
- X_AXIS
- Y_AXIS
- Z_AXIS

### Methods

- add
- clone
- copyFrom
- crossProduct
- decrementBy
- dotProduct
- equals
- get_length
- get_lengthSquared
- incrementBy
- nearEquals
- negate
- normalize
- project
- scaleBy
- setTo
- subtract
- toString
- angleBetween
- distance
- get_X_AXIS
- get_Y_AXIS
- get_Z_AXIS

## Constructors

### constructor

- new Vector3D(x?: number, y?: number, z?: number, w?: number): Vector3D

- - Defined in lib/openfl/geom/Vector3D.d.ts:32

  #### Parameters

  - ##### Optional x: number

  - ##### Optional y: number

  - ##### Optional z: number

  - ##### Optional w: number

  #### Returns Vector3D

## Properties

### length

length: number

- Defined in lib/openfl/geom/Vector3D.d.ts:20

### lengthSquared

lengthSquared: number

- Defined in lib/openfl/geom/Vector3D.d.ts:24

### w

w: number

- Defined in lib/openfl/geom/Vector3D.d.ts:29

### x

x: number

- Defined in lib/openfl/geom/Vector3D.d.ts:30

### y

y: number

- Defined in lib/openfl/geom/Vector3D.d.ts:31

### z

z: number

- Defined in lib/openfl/geom/Vector3D.d.ts:32

### Static X_AXIS

X_AXIS: Vector3D

- Defined in lib/openfl/geom/Vector3D.d.ts:7

### Static Y_AXIS

Y_AXIS: Vector3D

- Defined in lib/openfl/geom/Vector3D.d.ts:11

### Static Z_AXIS

Z_AXIS: Vector3D

- Defined in lib/openfl/geom/Vector3D.d.ts:15

## Methods

### add

- add(a: Vector3D): Vector3D

- - Defined in lib/openfl/geom/Vector3D.d.ts:39

  #### Parameters

  - ##### a: Vector3D

  #### Returns Vector3D

### clone

- clone(): Vector3D

- - Defined in lib/openfl/geom/Vector3D.d.ts:47

  #### Returns Vector3D

### copyFrom

- copyFrom(sourceVector3D: Vector3D): void

- - Defined in lib/openfl/geom/Vector3D.d.ts:50

  #### Parameters

  - ##### sourceVector3D: Vector3D

  #### Returns void

### crossProduct

- crossProduct(a: Vector3D): Vector3D

- - Defined in lib/openfl/geom/Vector3D.d.ts:54

  #### Parameters

  - ##### a: Vector3D

  #### Returns Vector3D

### decrementBy

- decrementBy(a: Vector3D): void

- - Defined in lib/openfl/geom/Vector3D.d.ts:58

  #### Parameters

  - ##### a: Vector3D

  #### Returns void

### dotProduct

- dotProduct(a: Vector3D): number

- - Defined in lib/openfl/geom/Vector3D.d.ts:66

  #### Parameters

  - ##### a: Vector3D

  #### Returns number

### equals

- equals(toCompare: Vector3D, allFour?: boolean): boolean

- - Defined in lib/openfl/geom/Vector3D.d.ts:70

  #### Parameters

  - ##### toCompare: Vector3D

  - ##### Optional allFour: boolean

  #### Returns boolean

### Protected get_length

- get_length(): number

- - Defined in lib/openfl/geom/Vector3D.d.ts:22

  #### Returns number

### Protected get_lengthSquared

- get_lengthSquared(): number

- - Defined in lib/openfl/geom/Vector3D.d.ts:26

  #### Returns number

### incrementBy

- incrementBy(a: Vector3D): void

- - Defined in lib/openfl/geom/Vector3D.d.ts:74

  #### Parameters

  - ##### a: Vector3D

  #### Returns void

### nearEquals

- nearEquals(toCompare: Vector3D, tolerance: number, allFour?: boolean): boolean

- - Defined in lib/openfl/geom/Vector3D.d.ts:78

  #### Parameters

  - ##### toCompare: Vector3D

  - ##### tolerance: number

  - ##### Optional allFour: boolean

  #### Returns boolean

### negate

- negate(): void

- - Defined in lib/openfl/geom/Vector3D.d.ts:82

  #### Returns void

### normalize

- normalize(): number

- - Defined in lib/openfl/geom/Vector3D.d.ts:86

  #### Returns number

### project

- project(): void

- - Defined in lib/openfl/geom/Vector3D.d.ts:90

  #### Returns void

### scaleBy

- scaleBy(s: number): void

- - Defined in lib/openfl/geom/Vector3D.d.ts:94

  #### Parameters

  - ##### s: number

  #### Returns void

### setTo

- setTo(xa: number, ya: number, za: number): void

- - Defined in lib/openfl/geom/Vector3D.d.ts:97

  #### Parameters

  - ##### xa: number

  - ##### ya: number

  - ##### za: number

  #### Returns void

### subtract

- subtract(a: Vector3D): Vector3D

- - Defined in lib/openfl/geom/Vector3D.d.ts:101

  #### Parameters

  - ##### a: Vector3D

  #### Returns Vector3D

### toString

- toString(): string

- - Defined in lib/openfl/geom/Vector3D.d.ts:105

  #### Returns string

### Static angleBetween

- angleBetween(a: Vector3D, b: Vector3D): number

- - Defined in lib/openfl/geom/Vector3D.d.ts:43

  #### Parameters

  - ##### a: Vector3D

  - ##### b: Vector3D

  #### Returns number

### Static distance

- distance(pt1: Vector3D, pt2: Vector3D): number

- - Defined in lib/openfl/geom/Vector3D.d.ts:62

  #### Parameters

  - ##### pt1: Vector3D

  - ##### pt2: Vector3D

  #### Returns number

### Static Protected get_X_AXIS

- get_X_AXIS(): Vector3D

- - Defined in lib/openfl/geom/Vector3D.d.ts:9

  #### Returns Vector3D

### Static Protected get_Y_AXIS

- get_Y_AXIS(): Vector3D

- - Defined in lib/openfl/geom/Vector3D.d.ts:13

  #### Returns Vector3D

### Static Protected get_Z_AXIS

- get_Z_AXIS(): Vector3D

- - Defined in lib/openfl/geom/Vector3D.d.ts:17

  #### Returns Vector3D

Generated using TypeDoc